MCP Tools Reference: paydeveloper.googleapis.com

도구: search_documentation

공식 Google Pay 및 Google 월렛 개발자 문서와 코드 샘플에서 가장 관련성이 높고 최신 섹션을 검색하고 가져옵니다.

다음 샘플은 curl를 사용하여 search_documentation MCP 도구를 호출하는 방법을 보여줍니다.

curl 요청
                  
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "search_documentation",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

입력 스키마

문서 검색 요청 메시지입니다.

SearchDocumentationRequest

JSON 표현
{
  "userQuery": string,
  "languageCode": string
}
필드
userQuery

string

선택사항입니다. 검색할 쿼리입니다.

languageCode

string

선택사항입니다. 검색어의 IETF BCP-47 언어 코드입니다.

출력 스키마

문서 검색을 위한 응답 메시지입니다.

SearchDocumentationResponse

JSON 표현
{
  "results": [
    {
      object (DocumentChunk)
    }
  ]
}
필드
results[]

object (DocumentChunk)

검색어와 일치하는 문서 청크로, 사용자 질문과 청크의 콘텐츠 간 유사성을 평가하는 관련성 점수를 사용하여 정렬됩니다.

DocumentChunk

JSON 표현
{
  "title": string,
  "uri": string,
  "content": string
}
필드
title

string

청크가 속한 문서의 제목을 지정합니다.

uri

string

청크가 속한 문서의 URI를 지정합니다.

content

string

청크의 콘텐츠를 포함합니다.

도구 주석

파괴적 힌트: ❌ | 동일한 힌트: ✅ | 읽기 전용 힌트: ✅ | 오픈 월드 힌트: ❌